org.apache.lucene.store

## Class ByteArrayIndexInput

- java.lang.Object
- - org.apache.lucene.store.DataInput
  - - org.apache.lucene.store.IndexInput
    - - org.apache.lucene.store.ByteArrayIndexInput

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable

      public final class ByteArrayIndexInput
      extends IndexInput

  DataInput backed by a byte array. WARNING: This class omits all low-level checks.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayIndexInput(String description, byte[] bytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the stream to further operations.
    `boolean` | `eof()`
    `long` | `getFilePointer()` Returns the current position in this file, where the next read will occur.
    `long` | `length()` The number of bytes in the file.
    `byte` | `readByte()` Reads and returns a single byte.
    `void` | `readBytes(byte[] b, int offset, int len)` Reads a specified number of bytes into an array at the specified offset.
    `int` | `readInt()` Reads four bytes and returns an int.
    `long` | `readLong()` Reads eight bytes and returns a long.
    `short` | `readShort()` Reads two bytes and returns a short.
    `int` | `readVInt()` Reads an int stored in variable-length format.
    `long` | `readVLong()` Reads a long stored in variable-length format.
    `void` | `reset(byte[] bytes, int offset, int len)`
    `void` | `seek(long pos)` Sets current position in this file, where the next read will occur.
    `void` | `skipBytes(long count)` Skip over `numBytes` bytes.
    `IndexInput` | `slice(String sliceDescription, long offset, long length)` Creates a slice of this index input, with the given description, offset, and length.

    - ### Methods inherited from class org.apache.lucene.store.IndexInput

      `clone, getFullSliceDescription, randomAccessSlice, toString`

    - ### Methods inherited from class org.apache.lucene.store.DataInput

      `readBytes, readMapOfStrings, readSetOfStrings, readString, readStringSet, readStringStringMap, readZInt, readZLong`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayIndexInput

          public ByteArrayIndexInput(String description,
                                     byte[] bytes)

  - ### Method Detail

    - #### getFilePointer

          public long getFilePointer()

      Description copied from class: `IndexInput`
      Returns the current position in this file, where the next read will occur.
      Specified by:
        `getFilePointer` in class `IndexInput`
      See Also:
        `IndexInput.seek(long)`

    - #### seek

          public void seek(long pos)

      Description copied from class: `IndexInput`
      Sets current position in this file, where the next read will occur. If this is beyond the end of the file then this will throw `EOFException` and then the stream is in an undetermined state.
      Specified by:
        `seek` in class `IndexInput`
      See Also:
        `IndexInput.getFilePointer()`

    - #### reset

          public void reset(byte[] bytes,
                            int offset,
                            int len)

    - #### length

          public long length()

      Description copied from class: `IndexInput`
      The number of bytes in the file.
      Specified by:
        `length` in class `IndexInput`

    - #### eof

          public boolean eof()

    - #### skipBytes

          public void skipBytes(long count)

      Description copied from class: `DataInput`
      Skip over `numBytes` bytes. The contract on this method is that it should have the same behavior as reading the same number of bytes into a buffer and discarding its content. Negative values of `numBytes` are not supported.
      Overrides:
        `skipBytes` in class `DataInput`

    - #### readShort

          public short readShort()

      Description copied from class: `DataInput`
      Reads two bytes and returns a short.
      Overrides:
        `readShort` in class `DataInput`
      See Also:
        `DataOutput.writeByte(byte)`

    - #### readInt

          public int readInt()

      Description copied from class: `DataInput`
      Reads four bytes and returns an int.
      Overrides:
        `readInt` in class `DataInput`
      See Also:
        `DataOutput.writeInt(int)`

    - #### readLong

          public long readLong()

      Description copied from class: `DataInput`
      Reads eight bytes and returns a long.
      Overrides:
        `readLong` in class `DataInput`
      See Also:
        `DataOutput.writeLong(long)`

    - #### readVInt

          public int readVInt()

      Description copied from class: `DataInput`
      Reads an int stored in variable-length format. Reads between one and five bytes. Smaller values take fewer bytes. Negative numbers are not supported.

      The format is described further in `DataOutput.writeVInt(int)`.

      Overrides:
        `readVInt` in class `DataInput`
      See Also:
        `DataOutput.writeVInt(int)`

    - #### readVLong

          public long readVLong()

      Description copied from class: `DataInput`
      Reads a long stored in variable-length format. Reads between one and nine bytes. Smaller values take fewer bytes. Negative numbers are not supported.

      The format is described further in `DataOutput.writeVInt(int)`.

      Overrides:
        `readVLong` in class `DataInput`
      See Also:
        `DataOutput.writeVLong(long)`

    - #### readByte

          public byte readByte()

      Description copied from class: `DataInput`
      Reads and returns a single byte.
      Specified by:
        `readByte` in class `DataInput`
      See Also:
        `DataOutput.writeByte(byte)`

    - #### readBytes

          public void readBytes(byte[] b,
                                int offset,
                                int len)

      Description copied from class: `DataInput`
      Reads a specified number of bytes into an array at the specified offset.
      Specified by:
        `readBytes` in class `DataInput`
      Parameters:
        `b` - the array to read bytes into
        `offset` - the offset in the array to start storing bytes
        `len` - the number of bytes to read
      See Also:
        `DataOutput.writeBytes(byte[],int)`

    - #### close

          public void close()

      Description copied from class: `IndexInput`
      Closes the stream to further operations.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `IndexInput`

    - #### slice

          public IndexInput slice(String sliceDescription,
                                  long offset,
                                  long length)
                           throws IOException

      Description copied from class: `IndexInput`
      Creates a slice of this index input, with the given description, offset, and length. The slice is seeked to the beginning.
      Specified by:
        `slice` in class `IndexInput`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.